# -*- mode: ruby -*-
# vi: set ft=ruby :

Vagrant.configure("2") do |config|
  config.vm.box = "bento/ubuntu-20.04"
  
  ###########################################################################
  #### This scripts will be run on all nodes
  ###########################################################################
  config.vm.provision "shell", path: "./scripts/bootstrap.sh"

  ###########################################################################
  ### Create 3 Gluster FS Nodes
  ###########################################################################
  NodeCount = 3

  (1..NodeCount).each do |i|
    config.vm.define "gluster#{i}" do |instance|
      instance.vm.network "private_network", ip: "192.168.33.2#{i}"
      instance.vm.hostname = "gluster#{i}.vagrant.local"
      
      instance.vm.provider "virtualbox" do |vb|
        vb.gui    = false
        vb.name   = "GlusterFS Node #{i}"
        vb.cpus   = 1
        vb.memory = 1024
      end
    end
  end

end
